## org.codehaus.groovy.runtime
Class GroovyCategorySupport

    java.lang.Object
      org.codehaus.groovy.runtime.GroovyCategorySupport

    public class GroovyCategorySupport

extends Object

Author:
  sam, Paul King, Alex Tkachman

Nested Class Summary
`static class` `GroovyCategorySupport.CategoryMethodList`
`static class` `GroovyCategorySupport.ThreadCategoryInfo`

Constructor Summary
`GroovyCategorySupport()`

Method Summary
`static GroovyCategorySupport.CategoryMethodList` `getCategoryMethods(String name)` This method is used to pull all the new methods out of the local thread context with a particular name.
`static AtomicInteger` `getCategoryNameUsage(String name)`
`static boolean` `hasCategoryInAnyThread()`
`static boolean` `hasCategoryInCurrentThread()`
`static Object` `use(Class categoryClass, Closure closure)` Create a scope based on given categoryClass and invoke closure within that scope.
`static Object` `use(List<Class> categoryClasses, Closure closure)` Create a scope based on given categoryClasses and invoke closure within that scope.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GroovyCategorySupport

    public GroovyCategorySupport()

Method Detail

### getCategoryNameUsage

    public static AtomicInteger getCategoryNameUsage(String name)

### use

    public static Object use(Class categoryClass,
                             Closure closure)

  Create a scope based on given categoryClass and invoke closure within that scope.

  Parameters:
    `categoryClass` - the class containing category methods
    `closure` - the closure during which to make the category class methods available
  Returns:
    the value returned from the closure

### use

    public static Object use(List<Class> categoryClasses,
                             Closure closure)

  Create a scope based on given categoryClasses and invoke closure within that scope.

  Parameters:
    `categoryClasses` - the list of classes containing category methods
    `closure` - the closure during which to make the category class methods available
  Returns:
    the value returned from the closure

### hasCategoryInCurrentThread

    public static boolean hasCategoryInCurrentThread()

### hasCategoryInAnyThread

    public static boolean hasCategoryInAnyThread()

### getCategoryMethods

    public static GroovyCategorySupport.CategoryMethodList getCategoryMethods(String name)

  This method is used to pull all the new methods out of the local thread context with a particular name.

  Parameters:
    `name` - the method name of interest
  Returns:
    the list of methods

Copyright © 2003-2009 The Codehaus. All rights reserved.